> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a transaction

> Mark a transaction as completed.



## OpenAPI

````yaml post /v1/finance/accounting/transactions/{id}/complete
openapi: 3.0.0
info:
  title: Finance Transactions API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/finance/accounting/transactions/{id}/complete:
    post:
      tags:
        - Finance / Accounting
      summary: Complete a transaction
      description: Mark a transaction as completed.
      operationId: completeTransaction
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      responses:
        '204':
          description: Transaction completed successfully
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````